org.apache.ignite.internal.util.nodestart

## Interface IgniteSshProcessor

    public interface IgniteSshProcessor

SSH processor, interface was introduced to avoid mandatory runtime dependency on SSH library.

### Method Summary

Methods
`IgniteNodeCallable` `nodeStartCallable(IgniteRemoteStartSpecification spec, int timeout)` Creates `Callable` starting node using SSH.

### Method Detail

#### nodeStartCallable

    IgniteNodeCallable nodeStartCallable(IgniteRemoteStartSpecification spec,
                                       int timeout)

Creates `Callable` starting node using SSH.

Parameters:
  `spec` - Specification.
  `timeout` - Connection timeout.
Returns:
  `Callable` starting node using SSH.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015